Get Facility Availability
Use this API to find open appointment slots for a given Facility.
Body
- Type: stringFormat: date-timeendrequired
As an ISO 8601 date-time string.
- Type: stringFormat: uuidfacility
_id requiredThe unique id of the
Facility - Type: array object[]order
_info requiredAn object representing the contents of the truck.
- Type: stringFormat: date-timestartrequired
As an ISO 8601 date-time string.
- Type: stringtyperequired
Either
Inboundfor deliveries orOutboundfor pickups.
Responses
- application/json
Request Example for post/conduit.v1.get_facility_availability
curl https://api.getconduit.ai/conduit.v1.get_facility_availability \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"facility_id": "2aae24c7-438d-473f-aba8-7793b7efdec3",
"start": "2023-01-01T00:00:00.000Z",
"end": "2023-01-10T00:00:00.000Z",
"type": "Inbound",
"order_info": [
{
"reference_id": ""
}
]
}'
[
{
"status": "Open",
"scheduled_start_time": "2023-01-01T00:00:00.000Z",
"scheduled_end_time": "2023-01-01T00:00:00.000Z",
"type": "Inbound"
}
]
